package net.minecraft.src;

import java.util.HashMap;
import java.util.Map;

// SDK
public class mod_SdkGrapplingHook extends BaseMod
{
    public static final Block blockRope = (new SdkBlockRope(115, ModLoader.getUniqueSpriteIndex("/terrain.png"))).setHardness(-1F).setResistance(6000000F).setStepSound(Block.soundClothFootstep).func_20037_a("blockRope");
    public static final Block blockGrapplingHook = (new SdkBlockGrapplingHook(116, ModLoader.getUniqueSpriteIndex("/terrain.png"))).setHardness(0.0F).setStepSound(Block.soundMetalFootstep).func_20037_a("blockGrapplingHook");
    
    public static final Item itemRope = (new Item(2511)).setIconIndex(ModLoader.getUniqueSpriteIndex("/gui/items.png")).func_20105_a("itemRope");
    public static final Item itemGrapplingHook = (new SdkItemGrapplingHook(2512)).setIconIndex(ModLoader.getUniqueSpriteIndex("/gui/items.png")).func_20105_a("itemGrapplingHook");
  
	// Instead of in EntityPlayer
    public static Map<EntityPlayer, SdkEntityGrapplingHook> grapplingHooks = new HashMap<EntityPlayer, SdkEntityGrapplingHook>();
	
	public mod_SdkGrapplingHook()
    {
    	ModLoader.RegisterBlock(blockRope);
    	ModLoader.RegisterBlock(blockGrapplingHook);
    	
		ModLoader.RegisterEntityID(SdkEntityGrapplingHook.class, "GrapplingHook", ModLoader.getUniqueEntityId());
		
		ModLoader.RegisterTileEntity(SdkTileEntityRope.class, "Rope");
    }
	
	@Override
	public String Version()
	{
		return "1.2_02v2";
	}
	

	@Override
    public void AddRecipes(CraftingManager craftingmanager)
    {
		craftingmanager.func_20153_a(new ItemStack(itemGrapplingHook, 1), new Object[] {
        	"X", "#", "#", Character.valueOf('#'), itemRope, Character.valueOf('X'), Item.ingotIron
        });
		craftingmanager.func_20153_a(new ItemStack(itemRope, 1), new Object[] {
            "##", "##", "##", Character.valueOf('#'), Item.silk
        });
    }
	
	@Override
	public void AddEntityTrackers(Map<Class, SdkPair<Integer, Integer>> map)
	{
		map.put(SdkEntityGrapplingHook.class, new SdkPair<Integer, Integer>(64, 5));
	}
	
	@Override
	public void AddEntityTrackerEntries(Map<Class, Integer> map)
	{
		map.put(SdkEntityGrapplingHook.class, 119);
	}
}
